# Uses of Interface
org.opensaml.soap.client.SOAPClient.SOAPRequestParameters

Packages that use SOAPClient.SOAPRequestParameters
Package
Description
org.opensaml.soap.client
SOAP client functionality.
org.opensaml.soap.client.http
SOAP HTTP client functionality.

## Uses of SOAPClient.SOAPRequestParameters in org.opensaml.soap.client

Fields in org.opensaml.soap.client declared as SOAPClient.SOAPRequestParameters
Modifier and Type
Field
Description
`private SOAPClient.SOAPRequestParameters`
SOAPClientContext.`requestParameters`
Binding/transport-specific SOAP request parameters.
Methods in org.opensaml.soap.client that return SOAPClient.SOAPRequestParameters
Modifier and Type
Method
Description
`SOAPClient.SOAPRequestParameters`
SOAPClientContext.`getSOAPRequestParameters()`
Gets a set of binding/transport-specific request parameters.
Methods in org.opensaml.soap.client with parameters of type SOAPClient.SOAPRequestParameters
Modifier and Type
Method
Description
`SOAPClientContext`
SOAPClientContext.`setSOAPRequestParameters(SOAPClient.SOAPRequestParameters parameters)`
Sets a set of binding/transport-specific request parameters.

## Uses of SOAPClient.SOAPRequestParameters in org.opensaml.soap.client.http

Classes in org.opensaml.soap.client.http that implement SOAPClient.SOAPRequestParameters
Modifier and Type
Class
Description
`class`
`HttpSOAPRequestParameters`
HTTP transported SOAP request parameters.